package jp.agentec.abook.abv.bl.dto;


/**
 * ユーザが属している契約事業者のサービスオプションを格納します。
 * @author Taejin Hong
 * @version 1.0.0 
 */
public class ServiceOptionDto extends AbstractDto {
	public int serviceOptionId;
	public String serviceOptionName;
	public String serviceOptionDispName;
	public String val;

	public ServiceOptionDto() {
	}
	
	public ServiceOptionDto(int serviceOptionId, String serviceOptionName, String val) {
		this.serviceOptionId = serviceOptionId;
		this.serviceOptionName = serviceOptionName;
		this.val = val;
	}

	@Override
    public Object[] getInsertValues() {
		return new Object[]{serviceOptionId, serviceOptionName, serviceOptionDispName, val};
	}
	
	@Override
	public String[] getKeyValues() {
		return new String[]{""+ serviceOptionId};
	}
}
